at.chipkarte.client.elgaad.soap

## Class ReferenceId

- Object
- - at.chipkarte.client.elgaad.soap.ReferenceId

-     public class ReferenceId
      extends Object

  Kann bei e-Befunden als Identifikator für einen gemeinsamen Dokumentenstamm verwendet werden (z.B. für verschiedene Versionen eines Dokuments).
  Im Rahmen von ELGA ist zu diesem Zweck die Set-ID der CDA-Dokumente zu verwenden. Andere ReferenceIds sind möglich, aber nicht Bestandteil der ELGA-Vorgaben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceId()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAssigningAuthority()` OID der zuweisenden Stelle.
    `String` | `getHomeCommunityId()` OID der Home Community.
    `String` | `getTypeCode()` OID der zuweisenden Stelle.
    `String` | `getValue()` Wert.
    `void` | `setAssigningAuthority(String assigningAuthority)`
    `void` | `setHomeCommunityId(String homeCommunityId)`
    `void` | `setTypeCode(String typeCode)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceId

          public ReferenceId()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Wert.
      Entspricht bei der Set-ID dessen "extension"-Attribut aus dem CDA-Dokument. Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        value

    - #### setValue

          public void setValue(String value)

    - #### getAssigningAuthority

          public String getAssigningAuthority()

      OID der zuweisenden Stelle.
      Entspricht bei der Set-ID dessen "root"-Attribut aus dem CDA-Dokument. Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        assigningAuthority

    - #### setAssigningAuthority

          public void setAssigningAuthority(String assigningAuthority)

    - #### getTypeCode

          public String getTypeCode()

      OID der zuweisenden Stelle.
      Entspricht bei der Set-ID dem fixen Wert `"urn:elga:iti:xds:2014:ownDocument_setId`. Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        typeCode

    - #### setTypeCode

          public void setTypeCode(String typeCode)

    - #### getHomeCommunityId

          public String getHomeCommunityId()

      OID der Home Community.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        homeCommunityId

    - #### setHomeCommunityId

          public void setHomeCommunityId(String homeCommunityId)